using System.Threading.Tasks;
using Tiobon.Core.Common.DB;
using Tiobon.Core.Common.DB.Extension;
using Tiobon.Core.IRepository.Base;
using Tiobon.Core.Model.IDS4DbModels;
using Tiobon.Core.Services.BASE;

namespace Tiobon.Core.IServices
{
    public class ApplicationUserServices : BaseServices<ApplicationUser>, IApplicationUserServices
    {
        public bool IsEnable()
        {
            var configId = typeof(ApplicationUser).GetEntityTenant();
            return Db.AsTenant().IsAnyConnection(configId);
        }
    }
}